Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Firmwear Version

Discussion in 'Pro/Adv Discussion' started by Ronbo.mn, Sep 16, 2015.

  1. Ronbo.mn

    Joined:
    Jun 15, 2015
    Messages:
    79
    Likes Received:
    13
    I want to know what firmwear version I have on my P3 Pro. The download site says... "The All-in-One firmware v1.4.0010 does not include remote controller update package. However, for the best user experience, it is recommended that the users who are using the firmware that older than v1.3.20 to update the firmware to v1.3.20 before updating the aircraft."

    I go to Mode - General Settings - About and is says...

    Version - App Ver 1.2.0
    Firmwear Ver - 1.4.10

    I have not updated so I do not know what it is talking about when it says 1.4.10. I think that I probably have the 1.3.20 as I updated the last time in July/Aug to some update, I don' know what it was.

    I would like to be sure that I have 1.3.20 as DJI says is needed for best experience.

    What am I doing wrong and what do I need to do to confirm firmwear version?
     
  2. 43k

    43k

    Joined:
    Jul 3, 2015
    Messages:
    255
    Likes Received:
    95
    Location:
    Sweden
    "firmware"

    Do you have a screenshot of the About page in the app?
     
  3. Ronbo.mn

    Joined:
    Jun 15, 2015
    Messages:
    79
    Likes Received:
    13
    I was charging the battery and so when I looked for the version only the controller was on. Now that the drone is on, is shows 1.3.20.

    Thanks
     
  4. Meta4

    Meta4 Moderator
    Staff Member

    Joined:
    Jan 8, 2014
    Messages:
    7,768
    Likes Received:
    3,479
    You have misunderstood.
    What DJI said was ..
    The All-in-One firmware v1.4.0010 does not include remote controller update package. However, for the best user experience, it is recommended that the users who are using the firmware that older than v1.3.20 to update the firmware to v1.3.20 before updating the aircraft.

    In other words .. if you have firmware older than 1.3.2 (on your controller) update (your controller) to 1.3.2 before you update your Phantom (to 1.4.0010) .. because there is no firmware update for the controller in 1.4.0010.

    You will not be able to use the new features unless you update to 1.4.0010
     
    Buckaye likes this.
  5. Buckaye

    Joined:
    Aug 24, 2014
    Messages:
    1,557
    Likes Received:
    420
    Location:
    Orlando

    correct... and if you already updated your Phantom to the 1.4.0010 - you can update your controller by putting the 1.3.20 on a thumb drive and inserting that directly into the controller. That's what I did and it worked just fine.